API Reference
Dining Tables
7 endpoints· Auth: JWT or API Key
get
/api/v1/console/pos/dining-tables JWT API KeyGet dining-tables
Query parameters
| AreaId string (uuid) | — |
| Active boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/pos/dining-tables" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/pos/dining-tables JWT API KeyCreate dining-tables
Request body
application/json
{
"code": "string",
"name": "string",
"areaId": "00000000-0000-0000-0000-000000000000",
"seats": 0,
"sortOrder": 0
}| code string | — |
| name string | — |
| areaId string (uuid) | — |
| seats integer (int32) | — |
| sortOrder integer (int32) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/pos/dining-tables" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"code": "string",
"name": "string",
"areaId": "00000000-0000-0000-0000-000000000000",
"seats": 0,
"sortOrder": 0
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
put
/api/v1/console/pos/dining-tables/{id} JWT API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"code": "string",
"name": "string",
"areaId": "00000000-0000-0000-0000-000000000000",
"seats": 0,
"sortOrder": 0
}| code string | — |
| name string | — |
| areaId string (uuid) | — |
| seats integer (int32) | — |
| sortOrder integer (int32) | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/pos/dining-tables/{id}" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"code": "string",
"name": "string",
"areaId": "00000000-0000-0000-0000-000000000000",
"seats": 0,
"sortOrder": 0
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/pos/dining-tables/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/pos/dining-tables/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/pos/dining-tables/{id}/active JWT API KeyCreate active
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"active": false,
"reason": "string"
}| active boolean | — |
| reason string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/pos/dining-tables/{id}/active" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"active": false,
"reason": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/pos/dining-tables/{id}/qr-token JWT API KeyCreate qr-token
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/pos/dining-tables/{id}/qr-token" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
delete
/api/v1/console/pos/dining-tables/{id}/qr-token JWT API KeyDelete qr-token
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/pos/dining-tables/{id}/qr-token" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu